
Makes all the bootstrap token configurations and creates an initial token

### Synopsis

Bootstrap tokens are used for establishing bidirectional trust between a node joining the cluster and a the master node. 

This command makes all the configurations required to make bootstrap tokens works and then creates an initial token. 

Alpha Disclaimer: this command is currently alpha.

```
kubeadm alpha phase bootstrap-token all [flags]
```

### Examples

```
  # Makes all the bootstrap token configurations and creates an initial token, functionally
  # equivalent to what generated by kubeadm init.
  kubeadm alpha phase bootstrap-token all
```

### Options

```
      --config string        Path to kubeadm config file (WARNING: Usage of a configuration file is experimental)
      --description string   A human friendly description of how this token is used. (default "The default bootstrap token generated by 'kubeadm init'.")
      --groups strings       Extra groups that this token will authenticate as when used for authentication. Must match "system:bootstrappers:[a-z0-9:-]{0,255}[a-z0-9]" (default [system:bootstrappers:kubeadm:default-node-token])
  -h, --help                 help for all
      --skip-token-print     Skip printing of the bootstrap token
      --token string         The token to use for establishing bidirectional trust between nodes and masters
      --ttl duration         The duration before the token is automatically deleted (e.g. 1s, 2m, 3h). If set to '0', the token will never expire (default 24h0m0s)
      --usages strings       Describes the ways in which this token can be used. You can pass --usages multiple times or provide a comma separated list of options. Valid options: [signing,authentication] (default [signing,authentication])
```

### Options inherited from parent commands

```
      --kubeconfig string   The KubeConfig file to use when talking to the cluster (default "/etc/kubernetes/admin.conf")
```

